﻿@model  ProgramReportViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">

            <h1 ng-show="Model.Id">
                Configure report
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <form ng-submit="saveReport()">
      
        <div class="clearfix"></div>

        <fieldset class="report-checkbox-fieldset" ng-repeat="section in Model.JbForm.Elements">
            <legend ng-if="section.Elements.length > 0">
                <span class="input-control checkbox no-margin" data-role="input-control">
                    <label>
                        <input ng-model="section._checkAll" ng-change="checkAll(section._checkAll,section.Elements)" type="checkbox">
                        <span class="check"></span>
                    </label>
                </span>
                {{section.Title}}
            </legend>
            <div class="place-left checkbox" ng-repeat="element in section.Elements">
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="element.Value" type="checkbox">
                        <span class="check"></span>
                        {{element.Title}}
                    </label>
                </div>
            </div>
        </fieldset>

        <div ng-repeat="followupForm in Model.FollowupForms">

            <div style="font-size: larger">
                <span class="input-control checkbox no-margin" data-role="input-control">
                    <label>
                        <input ng-model="followupForm.IsSelected" type="checkbox">
                        <span class="check"></span>
                    </label>
                </span>
                {{followupForm.Title}}
            </div>

            <fieldset ng-show="followupForm.IsSelected" class="report-checkbox-fieldset" ng-repeat="section in followupForm.JbForm.Elements">
                <legend ng-if="section.Elements.length > 0">
                    <span class="input-control checkbox no-margin" data-role="input-control">
                        <label>
                            <input ng-model="section._checkAll" ng-change="checkAll(section._checkAll,section.Elements)" type="checkbox">
                            <span class="check"></span>
                        </label>
                    </span>
                    {{section.Title}}
                </legend>

                <div class="place-left checkbox" ng-repeat="element in section.Elements">
                    <div class="input-control checkbox" data-role="input-control">
                        <label>
                            <input ng-model="element.Value" type="checkbox">
                            <span class="check"></span>
                            {{element.Title}}
                        </label>
                    </div>
                </div>
            </fieldset>

            <hr />
        </div>

        <button type="submit" class="success large place-right button">Save & continue</button>
        <div class="clearfix"></div>
    </form>
</div>

